> ## Documentation Index
> Fetch the complete documentation index at: https://docs.recallio.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all available topics for provided user

> Retrieve all available topics for provided user. This is a list of all topics that where extracted from memories for all projects or a specific project.



## OpenAPI

````yaml https://app.recallio.ai/swagger/v1/swagger.json post /api/Memory/recall-topics
openapi: 3.0.4
info:
  title: Recallio API
  description: API for Recallio.AI
  contact:
    name: Recallio.AI Team
    email: support@recallio.ai
  version: v1
servers:
  - url: https://app.recallio.ai
security:
  - Bearer: []
tags:
  - name: Knowledge
  - name: Memory
  - name: MemoryGraph (Extra Pack)
paths:
  /api/Memory/recall-topics:
    post:
      tags:
        - Memory
      summary: Retrieve all available topics for provided user
      description: >-
        Retrieve all available topics for provided user. This is a list of all
        topics that where extracted from memories for all projects or a specific
        project.
      operationId: RecallTopics
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RecallTopicsRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/RecallTopicsRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/RecallTopicsRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TopicsDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorReturnClass'
components:
  schemas:
    RecallTopicsRequest:
      required:
        - userId
      type: object
      properties:
        userId:
          minLength: 1
          type: string
          description: User identifier to search memories for
          example: user_123
        projectId:
          type: string
          description: Project identifier to search memories within
          nullable: true
          example: project_abc
      additionalProperties: false
    TopicsDto:
      type: object
      properties:
        topics:
          type: array
          items:
            $ref: '#/components/schemas/TopicItemDto'
          nullable: true
        users:
          type: array
          items:
            type: string
          nullable: true
      additionalProperties: false
    ErrorReturnClass:
      required:
        - error
      type: object
      properties:
        error:
          minLength: 1
          type: string
          description: Error message indicating the specific validation issue
          example: '"Invalid scope type. Must be ''user'', ''project'', or ''team''."'
      additionalProperties: false
    TopicItemDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        subTopics:
          type: array
          items:
            $ref: '#/components/schemas/SubTopicItemDto'
          nullable: true
      additionalProperties: false
    SubTopicItemDto:
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````